/*
 *  neercs        console-based window manager
 *  Copyright (c) 2006-2010 Sam Hocevar <sam@hocevar.net>
 *                2008-2010 Jean-Yves Lamoureux <jylam@lnxscene.org>
 *                All Rights Reserved
 *
 *  This program is free software. It comes without any warranty, to
 *  the extent permitted by applicable law. You can redistribute it
 *  and/or modify it under the terms of the Do What The Fuck You Want
 *  To Public License, Version 2, as published by Sam Hocevar. See
 *  http://sam.zoy.org/wtfpl/COPYING for more details.
 */

#if defined HAVE_CONFIG_H
#   include "config.h"
#endif

#include <stdlib.h> /* malloc(), free() */

#include <caca.h>

#include "client/screen.h"
#include "client/client.h"
#include "mini-socket.h"

typedef enum nrx_type
{
    TYPE_TEST,
}
nrx_type_t;

typedef enum nrx_state
{
    STATE_CREATED,
    STATE_CONNECTED,
}
nrx_state_t;

struct nrx_screen
{
    /* Public data */
    caca_canvas_t *cv;

    /* Private data */
    nrx_socket_t *sock;
    nrx_state_t state;
    nrx_type_t type;
};

nrx_screen_t *create_screen_test(nrx_client_t *client)
{
    nrx_screen_t *screen = malloc(sizeof(*screen));

    screen->cv = caca_create_canvas(0, 0);
    screen->type = TYPE_TEST;
    screen->state = STATE_CREATED;

    return screen;
}

void tick_screen(nrx_screen_t *screen)
{
    /* TODO */;
}

caca_canvas_t *get_screen_canvas(nrx_screen_t *screen)
{
    return screen->cv;
}

void destroy_screen(nrx_screen_t *screen)
{
    /* TODO */;
}

